LetsmtDocument.LetsmtDocumentHandler (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.letsmt, class: LetsmtDocument, class: LetsmtDocumentHandler

Package opennlp.tools.formats.letsmt

# Class LetsmtDocument.LetsmtDocumentHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
opennlp.tools.formats.letsmt.LetsmtDocument.LetsmtDocumentHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  `LetsmtDocument`

public static class LetsmtDocument.LetsmtDocumentHandler extends DefaultHandler
A `content handler` to receive and process SAX events.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LetsmtDocumentHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `endElement(String uri, String localName, String qName)`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### LetsmtDocumentHandler

    public LetsmtDocumentHandler()

- ## Method Details

  - ### characters

    public void characters(char[] ch, int start, int length) throws SAXException
    Specified by:
      `characters` in interface `ContentHandler`
    Overrides:
      `characters` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String uri, String localName, String qName) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Overrides:
      `endElement` in class `DefaultHandler`
    Throws:
      `SAXException`